## udpcast 20040531

=== Makefile ===
DESTDIR =

#CFLAGS = -O4 -Wall -DNDEBUG -DLOSSTEST
CFLAGS =-Wall -Wshadow -DBB_FEATURE_UDPCAST_FEC -D_FILE_OFFSET_BITS=64
LDFLAGS =-s -Wl,-warn-common
LIBS=-lpthread
BUSYBOX=../udp-busybox/busybox
BBTARGET=$(BUSYBOX)/udpcast

ARCH = $(shell uname -m | sed -e s/i.86/i386/ -e s/sun4u/sparc64/ -e s/arm.*/arm/ -e s/sa110/arm/)

ifeq ($(ARCH),i386)
CFLAGS += -DARCH_X86
endif


CFLAGS += -DNO_BB

all: udp-receiver udp-sender udp-receiver.1 udp-sender.1
#all: fec-test

disk: udpcast.img.gz

#disks: sender.img.gz receiver.img.gz

clean:
	rm -f *.o udp-sender udp-receiver udp-sender.1 udp-receiver.1 *~

install: udp-sender udp-receiver
	install -d $(DESTDIR)/usr/sbin
	install -m 755 udp-sender udp-receiver $(DESTDIR)/usr/sbin
	install -d $(DESTDIR)/usr/share/man/man1
	install -m 644 udp-sender.1 udp-receiver.1 $(DESTDIR)/usr/share/man/man1

udp-sender: udp-sender.o socklib.o udpcast.o rate-limit.o \
	sender-diskio.o senddata.o udps-negotiate.o \
	fifo.o produconsum.o participants.o log.o statistics.o \
	fec.o udpc_version.o
	gcc $(LDFLAGS) $^ -lpthread -o $@


udp-receiver: udp-receiver.o socklib.o udpcast.o \
	receiver-diskio.o receivedata.o udpr-negotiate.o produconsum.o \
	fifo.o log.o statistics.o fec.o udpc_version.o
	gcc $(LDFLAGS) $^ -lpthread -o $@

udp-receiver.1 udp-sender.1: html2man.pl cmd.html 
	perl $< $^

fec-test: fec-test.o
	gcc $(LDFLAGS) $^ -o $@

fec.o: fec.c
	gcc -c $(CFLAGS) -fno-inline $<


bbcopy: $(BBTARGET) \
	$(BBTARGET)/fec.c $(BBTARGET)/participants.h $(BBTARGET)/socklib.c \
	$(BBTARGET)/udp-receiver.c $(BBTARGET)/fec.h \
	$(BBTARGET)/produconsum.c $(BBTARGET)/socklib.h \
	$(BBTARGET)/udp-receiver.h $(BBTARGET)/fec-test.c \
	$(BBTARGET)/produconsum.h $(BBTARGET)/statistics.c \
	$(BBTARGET)/udpr-negotiate.c $(BBTARGET)/fifo.c \
	$(BBTARGET)/rate-limit.c $(BBTARGET)/statistics.h \
	$(BBTARGET)/udp-sender.c $(BBTARGET)/fifo.h $(BBTARGET)/rate-limit.h \
	$(BBTARGET)/udpcast.c $(BBTARGET)/udp-sender.h \
	$(BBTARGET)/libbb_udpcast.h $(BBTARGET)/receivedata.c \
	$(BBTARGET)/udpcast.h $(BBTARGET)/udps-negotiate.c \
	$(BBTARGET)/log.c $(BBTARGET)/receiver-diskio.c \
	$(BBTARGET)/udpc-protoc.h $(BBTARGET)/util.h \
	$(BBTARGET)/log.h $(BBTARGET)/senddata.c $(BBTARGET)/udpc_version.c \
	$(BBTARGET)/participants.c $(BBTARGET)/sender-diskio.c \
	$(BBTARGET)/udpc_version.h \
	$(BBTARGET)/Config.in $(BBTARGET)/Makefile.in $(BBTARGET)/Makefile

$(BBTARGET):
	mkdir $(BBTARGET)

$(BBTARGET)/Makefile: Makefile.busybox
	cp -f Makefile.busybox $(BBTARGET)/Makefile

$(BBTARGET)/Makefile.in: Makefile.in.busybox
	cp -f Makefile.in.busybox $(BBTARGET)/Makefile.in

$(BBTARGET)/%.c: %.c
	cp -f $< $(BBTARGET)

$(BBTARGET)/%.h: %.h
	cp -f $< $(BBTARGET)

$(BBTARGET)/Config.in: Config.in
	cp -f $< $(BBTARGET)

bb: bbcopy
	make -C $(BUSYBOX)

## udpcast 20070602-1

=== debian/changelog ===
udpcast (20070602-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 11 Oct 2007 14:21:00 +0800

udpcast (20060929-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 09 Oct 2006 13:38:00 +0800

udpcast (20060921-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 21 Sep 2006 16:15:00 +0800

udpcast (20060619-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Thu, 27 Jul 2006 18:16:00 +0800

udpcast (20060525-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Fri, 26 May 2006 10:18:00 +0800

udpcast (20060208-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 20 Feb 2006 21:33:00 +0800

udpcast (20051203-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 06 Dec 2005 17:17:58 +0800

udpcast (20050226-1) unstable; urgency=low

  * new upstream

 -- Steven Shiau <steven@nchc.org.tw>  Sat, 24 Sep 2005 15:00:58 +0800

udpcast (20040531-1) unstable; urgency=low

  * new upstream

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 02 Jun 2004 10:30:42 +0200

udpcast (20030831-1) unstable; urgency=low

  * new upstream                                            closes: #221526

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Sat, 22 Nov 2003 00:17:00 +0100

udpcast (20030706-1) unstable; urgency=low

  * new alpha upstream:                                     closes: #203815
    * new features: --retriesUntilDrop, --nokbd, --exitWait
  * Debian:
    * closed in unreleased version (20030601-1):
      closes: #187622, closes: #187619, closes: #187626

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 05 Dec 2002 10:34:37 +0100

udpcast (20030601-1) unstable; urgency=low

  * new alpha upstream
    * unattended mode
    * max clients = 1024
    * (both patches by Gary Skouson and Brian Finley)       closes: #187622
    * can be compiled into busybox (not used in the Debian package)
    * robuster against bad packets
    * bugfixes                                              closes: #187619
    * more logging                                          closes: #187626
  * Debian:
    * now assembler code should really be active on i386 platforms

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 05 Dec 2002 10:34:37 +0100

udpcast (20011231-6) unstable; urgency=low

  * changed path of udp-[sender|receiver] to /usr/bin       closes: #172676

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 05 Dec 2002 10:34:37 +0100

udpcast (20011231-5) unstable; urgency=low

  * fixed typo in description
  * enablying assembler code on i386 only                   closes: #172039

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 05 Dec 2002 10:34:37 +0100

udpcast (20011231-4) unstable; urgency=low

  * tar wasn't included in changes -> retry upload

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 05 Dec 2002 10:34:37 +0100

udpcast (20011231-3) unstable; urgency=low

  * removed usr/bin from dirs
  * signed with my debian key instead of some other -> retry upload

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Thu, 05 Dec 2002 09:45:42 +0100

udpcast (20011231-2) unstable; urgency=low

  * removed cruft from first upload :-/

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed, 04 Dec 2002 18:40:05 +0100

udpcast (20011231-1) unstable; urgency=low

  * Initial Release.

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Wed,  4 Dec 2002 16:00:21 +0100

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=3



ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	./configure --prefix=$(CURDIR)/debian/udpcast/usr

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	# This is a statically link version, changed by Steven Shiau
	$(MAKE) LDFLAGS+=--static;
	#/usr/bin/docbook-to-man debian/udpcast.sgml > udpcast.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/udpcast.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/udpcast


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
#	dh_installdebconf	
	dh_installdocs
	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
	dh_installman
	dh_installinfo
#	dh_undocumented
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_makeshlibs
	dh_installdeb
#	dh_perl
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## udpcast 20070602-2

=== debian/changelog ===
udpcast (20070602-2) unstable; urgency=low

  * bug fixed: wrong installed path.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 17 Oct 2007 02:14:00 +0800

=== debian/rules ===
--- 
+++ 
@@ -21,7 +21,8 @@
 configure-stamp:
 	dh_testdir
 	# Add here commands to configure the package.
-	./configure --prefix=$(CURDIR)/debian/udpcast/usr
+	#./configure --prefix=$(CURDIR)/debian/udpcast/usr
+	./configure --prefix=/usr
 
 	touch configure-stamp

## udpcast 20091031-1drbl

=== debian/changelog ===
udpcast (20091031-1drbl) unstable; urgency=low

  * New upstream udpcast 20091031.

 -- Steven Shiau <steven@nchc.org.tw>  Wed, 25 Nov 2009 15:49:00 +0800

udpcast (20081213-1drbl) unstable; urgency=low

  * New upstream udpcast 20081213.

 -- Steven Shiau <steven@nchc.org.tw>  Sun, 14 Dec 2008 09:27:00 +0800

udpcast (20071228-1) unstable; urgency=low

  * New upstream udpcast 20071228.

 -- Steven Shiau <steven@nchc.org.tw>  Mon, 18 Feb 2008 22:09:00 +0800

## udpcast 20100130

=== debian/changelog ===
udpcast (20100130-3) unstable; urgency=low

  * Update maintainer e-mail address to michi@debian.org.
  * Bump Standards-Version to 3.9.2 (no changes needed).
  * Format debian/copyright header according to DEP-5.
  * New patch manpage_fixes: Remove some spelling errors kindly pointed out by
    lintian.

 -- Michael Schutte <michi@debian.org>  Sat, 23 Jul 2011 12:26:40 +0200

udpcast (20100130-2) unstable; urgency=low

  * Ship examples/ to demonstrate the implementation of a rate governor.
  * New patch nostrip: Handle the DEB_BUILD_OPTIONS value by the same
    name, closes: #438231.
  * Remove cmd.html.man in debian/rules clean.

 -- Michael Schutte <michi@uiae.at>  Mon, 03 May 2010 19:11:48 +0200

udpcast (20100130-1) unstable; urgency=low

  * Adopt this package, closes: #575167.
  * New upstream release, closes: #375682.
    - printMyIp() in socklib.c now uses a proper format string to
      udpc_flprintf(), closes: #387169.
    - Build-depend on m4.
  * Use debhelper 7, change build-dependency, update debian/compat and
    greatly shorten debian/rules.
  * Add ${misc:Depends}.
  * Bump Standards-Version to 3.8.4, no changes needed.
  * Convert package to the 3.0 (quilt) format.
  * Provide a debian/watch file.
  * Convert debian/copyright to the machine-readable format as proposed in
    DEP 5 and update the information.
  * Upload package to a collab-maint Git repository and add Vcs-* fields in
    debian/control.
  * Point to the project homepage in debian/control.

  [Tomas Pospisek]
  * thanks to Alain Knaff for providing Debian packages for all these
    years

 -- Michael Schutte <michi@uiae.at>  Sat, 17 Apr 2010 14:03:19 +0200

udpcast (20040531-3) unstable; urgency=low

  * fixed lintian's copyright-lists-upstream-authors-with-dh_make-boilerplate
  * orphaning package, since upstream has been producing packages since
    2007 and I have neither been using udpcast nor maintaining it.
  * therefore setting maintainer to Debian QA

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Tue, 23 Mar 2010 23:09:30 +0100

udpcast (20040531-2) unstable; urgency=low

  * fixed lintian's copyright-lists-upstream-authors-with-dh_make-boilerplate
  * NOT RELEASED

 -- Tomas Pospisek <tpo_deb@sourcepole.ch>  Mon, 06 Sep 2004 16:58:38 +0200

=== debian/control ===
Source: udpcast
Section: utils
Priority: optional
Maintainer: Michael Schutte <michi@debian.org>
Build-Depends: debhelper (>> 7.0.50~), m4
Standards-Version: 3.9.2
Homepage: http://udpcast.linux.lu/
Vcs-Git: git://git.debian.org/git/collab-maint/udpcast.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/udpcast.git

Package: udpcast
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: multicast file transfer tool
 UDPcast can send data simultaneously to many destinations on a LAN.
 This can be used, for example, to install entire classrooms of PCs at
 once.  The advantage of UDPcast over other methods (such as NFS, FTP,
 etc.) is that UDPcast uses Ethernet’s multicast abilities, which means
 it won’t take longer to install 15 machines than it would to install
 just two.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_install:
	dh_auto_install
	mv debian/udpcast/usr/sbin debian/udpcast/usr/bin

override_dh_auto_clean:
	dh_auto_clean
	rm -f cmd.html.man

## udpcast 20100130-1drbl

=== debian/changelog ===
udpcast (20100130-1drbl) unstable; urgency=low

  * New upstream udpcast 20100130.

 -- Steven Shiau <steven@nchc.org.tw>  Tue, 25 Mar 2010 14:54:00 +0800

## udpcast 20120424

=== examples/rateGovernor/Makefile ===
CFLAGS = -fPIC -Wall

ipe.so: ipe.o
	gcc -shared -o ipe.so ipe.o

=== debian/changelog ===
udpcast (20120424-2) unstable; urgency=low

  * Make the build reproducible by using SOURCE_DATE_EPOCH instead of the
    current local time when creating the man pages, closes: #835145.  Thanks
    to Chris Lamb <lamby@debian.org> for the patch.
  * Don’t throw out the arguments to a --pipe command after it was first run,
    closes: #763674.  Thanks to Steffen Kaiser <skreportbug@mail.inf.h-brs.de>
    for the patch.
  * Use https:// URLs in the Vcs-* fields in debian/control.
  * Specify the type of BSD licence more precisely in debian/copyright.
  * Bump Standards-Version to 3.9.8 (no changes needed).

 -- Michael Schutte <michi@debian.org>  Fri, 18 Nov 2016 14:41:21 +0100

udpcast (20120424-1) unstable; urgency=low

  * New upstream version.
  * Update years and Format: URL in debian/copyright.
  * Build-depend on and use dh-autoreconf to generate new versions of outdated
    autotools files.
  * Increase debian/compat to 9 and adjust the build-dependency on debhelper
    accordingly.
  * Bump Standards-Version to 3.9.4 (no changes needed).
  * Use a host part of anonscm.debian.org instead of git.debian.org in the
    debian/control VCS pointers.
  * Rename Debian patches to *.diff.
  * New patch missing_fd_set.diff: #include <sys/select.h> in console.h so the
    definition of the fd_set data type is available, closes: #701436.  Thanks
    to Daniel T Chen for the patch.

 -- Michael Schutte <michi@debian.org>  Fri, 10 May 2013 15:23:55 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: utils
 Priority: optional
 Maintainer: Michael Schutte <michi@debian.org>
-Build-Depends: debhelper (>> 7.0.50~), m4
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), m4, dh-autoreconf
+Standards-Version: 3.9.8
 Homepage: http://udpcast.linux.lu/
-Vcs-Git: git://git.debian.org/git/collab-maint/udpcast.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/udpcast.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/udpcast.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/udpcast.git
 
 Package: udpcast
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --with autoreconf
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://udpcast.linux.lu/download/udpcast-(\d+).tar.gz
